# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name cryptohash

%global common_summary Crypto hashes, fast, pure and practical

%global common_description A collection of crypto hashes, with a practical incremental and one-pass,\
pure APIs, with performance close to the fastest implementations available\
in others languages.  The implementations are made in C with\
a Haskell FFI wrapper that hide the C implementation.

Name:           ghc-%{pkg_name}
Version:        0.7.5
Release:        5%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Patch0:         cryptohash-cryptoapi-flag.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1 -b .orig


%build
%ghc_lib_build


%install
%ghc_lib_install

rm %{buildroot}%{_datadir}/%{pkg_name}-%{version}/README.md


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc README.md


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.7.5-4
- update with cabal-rpm
- disable cryptoapi flag until crypto-api packaged

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.7.5-2
- change prof BRs to devel

* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 0.7.5-1
- update to 0.7.5

* Sun Mar 18 2012 Jens Petersen <petersen@redhat.com> - 0.7.4-3
- update to cabal2spec-0.25

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 24 2011 Jens Petersen <petersen@redhat.com> - 0.7.4-1
- BSD license
- depends on bytestring

* Mon Oct 24 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.7.4-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
